{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "84f35666-acd1-488e-8f4e-5ba394862efb",
   "metadata": {},
   "outputs": [],
   "source": [
    "(*有關於LaTeX使用於斷行的演算法\n",
    "\n",
    "首先我們要制定一個字元（包含斷行後新生的連字號，以及空白）在斷行前、斷行後的寬度\n",
    "\n",
    "*)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "b7ca64bd-a6be-4e40-a180-5a70602d2130",
   "metadata": {},
   "outputs": [],
   "source": [
    "(*假設這段字元 wordList，SP表達半形空白，HY表達連字號*)\n",
    "let wordList = [\"no\"; \"HY\", \"thing\", \"SP\", \"can\", \"SP\", \"stop\",\"SP\", \"the\", \"SP\", \"crocodile\"]"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "OCaml default",
   "language": "OCaml",
   "name": "ocaml-jupyter-default"
  },
  "language_info": {
   "codemirror_mode": "text/x-ocaml",
   "file_extension": ".ml",
   "mimetype": "text/x-ocaml",
   "name": "OCaml",
   "nbconverter_exporter": null,
   "pygments_lexer": "OCaml",
   "version": "4.13.1"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
